/* styles.css */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Chewy&display=swap");

body {
  font-family: "Poppins", sans-serif;
  overflow-x: hidden;
}

/* Optionally, you can override other font-related styles */
h1,
h2,
h3,
h4,
h5,
h6,
div {
  font-family: "Poppins", sans-serif;
}

.chewy-regular {
  font-family: "Chewy", serif;
  font-weight: 400;
  font-style: normal;
}

#about iframe {
  width: 500px;
  height: 315px;
}

.hero-background {
  position: relative;
  background: url("hero-background.png") center/cover no-repeat; /* Replace with your image URL */
  display: flex;
  height: 40vh;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white; /* Ensures text is readable */
}

.hero-background::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 153, 0, 0.879); /* Orange overlay with 60% opacity */
}

.hero-content {
  position: relative;
  z-index: 1; /* Ensures text is above the overlay */
}

.main-hero {
  background-image: url("background.png");
  background-size: cover; /* Ensures the background covers the whole screen */
  background-position: center; /* Centers the background */
  background-attachment: fixed; /* Makes background stay fixed while scrolling */
  background-repeat: no-repeat;
}

.about{
  background-image: url('about-background.png');
  background-size: cover; /* Ensures the background covers the whole screen */
  background-position: center; /* Centers the background */
  background-attachment: fixed; /* Makes background stay fixed while scrolling */
  background-repeat: no-repeat;
}

@media only screen and (max-width: 600px) {
  #about iframe {
    width: 350px;
    height: 250px;
  }

  .main-hero, .about {
    background-size: contain;
    background-attachment: scroll;
    background-position: bottom;
  }
}
